Package com.sun.jna.platform.win32

# Class WinDef.HGLRCByReference

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.ptr.ByReference
com.sun.jna.platform.win32.WinNT.HANDLEByReference
com.sun.jna.platform.win32.WinDef.HGLRCByReference

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  WinDef

public static class WinDef.HGLRCByReference extends WinNT.HANDLEByReference
handle to an OpenGL rendering context

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HGLRCByReference()`
  Instantiates a new pointer to an HGLRC.
  `HGLRCByReference(WinDef.HGLRC h)`
  Instantiates a new pointer to an HGLRC.

- ## Method Summary

  ### Methods inherited from class com.sun.jna.platform.win32.WinNT.HANDLEByReference

  `getValue, setValue`

  ### Methods inherited from class com.sun.jna.ptr.ByReference

  `toString`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HGLRCByReference

    public HGLRCByReference()
    Instantiates a new pointer to an HGLRC.

  - ### HGLRCByReference

    public HGLRCByReference(WinDef.HGLRC h)
    Instantiates a new pointer to an HGLRC.
    Parameters:
      `h` - Initial valure for the HGLRC